<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'lti', language 'he_kids', version '3.9'.
 *
 * @package     lti
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['course_tool_types'] = 'סוגי כלי במרחב־לימוד';
$string['courseid'] = 'מספר זיהוי של מרחב־לימוד';
$string['coursemisconf'] = 'מרחב־לימוד שגוי';
$string['forced_help'] = 'הגדרה זו נמצאת באופן מובנה בתוך הגדרות האתר או מרחב־הלימוד. לא ניתן לשנות זאת מממשק זה.';
$string['icon_url_help'] = 'הכתובת של הצלמית מאפשרת לעדכן את הצלמית שמוצגת ברשימת מרחבי־הלימוד עבור פעילות זו.
במקום לשתמש בצלמית ברירת המחדל של LTI , צלמית שמעבירה את סוג הפעילות שאותה ניתן לציין.';
$string['modulename_help'] = 'פעילות "כלי חיצוני" (LTI) מאפשרת לתלמידים לתקשר עם משאבי הלמידה ופעילויות באתרי אינטרנט אחרים. לדוגמה, כלי חיצוני יכול לספק גישה לסוג פעילות חדש או חומרי למידה ממו"ל.

כדי ליצור פעילות כלי חיצונית, נדרש ספק כלי שתומך ב- LTI . המורה יכול ליצור פעילות כלי חיצונית או לעשות שימוש בכלי המוגדר על ידי מנהל המערכת.

פעילויות כלי חיצוני שונות ממשאבי URL בכמה דרכים:

* לכלים חיצוניים יש גישה למידע על המשתמש שהשיק את הכלי, כגון מוסד, מרחב־לימוד ושם.

* כלים חיצוניים תומכים בקריאה, עדכון ומחיקת ציונים הקשורים לפעילות.

* תצורות הכלי החיצוני יוצרות יחסי אמון בין האתר שלך לספק הכלי, ומאפשרות תקשורת מאובטחת ביניהם.';
$string['password_help'] = 'לכלים המוגדרים מראש, אין צורך להשתמש כאן בסיסמה, היא תסופק בהמשך כחלק מתהליך ההגדרות.

רצוי להכניס שדה זה, אם יש כוונה ביצירת קישור  לכלי הספק שעדיין אינו מוגדר.
במידה ויש צורך להשתמש בכלי  יותר מפעם אחת במרחב־לימוד, מומלץ להוסיף הגדרות לכלי מרחב־הלימוד.

מטרתת הססמה לשמש מעיין דרך לאימות גישה לכלי (סוג של אבטחה). היא אמורה להינתן מספק הכלי,
יחד עם מפתח המשתמש (consumer key).

כלים שאינם דורשים תקשורת מאובטחת ממודול ולא מספקים שירותים נוספים, (כגון דיווח ציונים)
לא ידרשו סיסמה.';
$string['share_roster'] = 'אפשרו לכלי גישה, לרשימת מטלות מרחבי־הלימוד.';
$string['share_roster_admin'] = 'לכלי ניתנת גישה למטלות של מרחב־הלימוד.';
$string['share_roster_admin_help'] = 'עליכם להגדיר באם הכלי יכול לגשת לרשימת המשתמשים שנרשמו למרחבי־לימוד, מאז שסוג כלי זה הושק.';
$string['share_roster_help'] = 'עליכם להגדיר באם הכלי יכול לגשת לרשימת המשתמשים שנרשמו למרחבי־לימוד, מאז שסוג כלי זה הושק.

שימו לב, ייתכן והגדרות אלה יידרסו על ידי הגדרות הכלי החיצוני.';
$string['typename_help'] = 'שם הכלי משמש לזיהוי ספק הכלי בתוך המודל. השם שהוזן למערכת, יהיה גלוי
למורים בעת הוספת כלים חיצוניים בתוך מרחבי־לימוד.';
